Skip to content

kifas.run.list

List recent runs in the auth context’s org, optionally filtered by project + status.

Required scopes: run:read

Name Type Required Default Description
project_id string no —
status "running"` | `"completed"` | `"failed"` | `"aborted" no —
limit integer no 50
{
"type": "object",
"properties": {
"runs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"name": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string"
},
"started_at": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
"ended_at": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
},
{
"type": "null"
}
]
},
"session_count": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"passed_count": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"failed_count": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"id",
"name",
"status",
"started_at",
"ended_at",
"session_count",
"passed_count",
"failed_count"
],
"additionalProperties": false
}
}
},
"required": [
"runs"
],
"additionalProperties": false
}
TypeScript (Anthropic MCP SDK)
import { Client } from '@modelcontextprotocol/sdk/client/index.js'
import { StreamableHTTPClientTransport } from '@modelcontextprotocol/sdk/client/streamable-http.js'
const transport = new StreamableHTTPClientTransport(
new URL('https://mcp.kifas.io/'),
{
requestInit: {
headers: { Authorization: `Bearer ${process.env.KIFAS_API_KEY}` },
},
},
)
const client = new Client({ name: 'demo', version: '0.1.0' })
await client.connect(transport)
const result = await client.callTool({
name: 'kifas.run.list',
arguments: {
"limit": 50
},
})
console.log(result)
Python (httpx, raw JSON-RPC)
import os
import httpx
resp = httpx.post(
"https://mcp.kifas.io/",
headers={
"Authorization": f"Bearer {os.environ['KIFAS_API_KEY']}",
"Content-Type": "application/json",
},
json={
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.run.list",
"arguments": {
"limit": 50
},
},
},
)
print(resp.json())
curl
Terminal window
curl https://mcp.kifas.io/ \
-H "Authorization: Bearer $KIFAS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.run.list",
"arguments": {
"limit": 50
}
}
}'
Raw JSON-RPC body
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "kifas.run.list",
"arguments": {
"limit": 50
}
}
}

Want to try kifas.run.list? Sign in to the dashboard and run it against a real session.

Try in Kifas →